<h3>Reservation Form</h3>
<form [formGroup]="movieReservationForm" (ngSubmit)="onSubmit()">
  <input type="hidden" formControlName="reservationId">
  <table class="full-width" cellspacing="0">
    <tr>
      <td>
        <mat-form-field class="full-width">
          <input matInput formControlName="reservationFrom" [matDatepicker]="pickerFrom" placeholder="Choose a date">
          <mat-datepicker-toggle matSuffix [for]="pickerFrom"></mat-datepicker-toggle>
          <mat-datepicker #pickerFrom></mat-datepicker>
        </mat-form-field>
      </td>
      <td>
        <mat-form-field class="full-width">
          <input matInput formControlName="reservationTo" [matDatepicker]="pickerTo" placeholder="Choose a date">
          <mat-datepicker-toggle matSuffix [for]="pickerTo"></mat-datepicker-toggle>
          <mat-datepicker #pickerTo></mat-datepicker>
        </mat-form-field>
      </td>
    </tr>
  </table>
  <table class="full-width" cellspacing="0">
    <tr>
      <td>
        <mat-form-field class="full-width">
            <mat-select matNativeControl required formControlName="movieId">
                <mat-option *ngFor="let movie of movies" [value]="movie.id">{{movie.title}}</mat-option>
              </mat-select>
        </mat-form-field>
      </td>
      <td>
        <mat-form-field class="full-width">
          <mat-select matNativeControl required formControlName="userId">
            <mat-option *ngFor="let user of users" [value]="user.userId">{{user.name}}</mat-option>
          </mat-select>
        </mat-form-field>
      </td>

      <td>
        <mat-checkbox formControlName="returned">Returned? </mat-checkbox>
      </td>
    </tr>
  </table>
  <button *ngIf="!editMode" mat-flat-button color="primary" color="primary">Save</button>
  <button *ngIf="editMode" mat-flat-button color="primary" color="primary">Edit</button>
</form>